Loading...
Searching...
No Matches
CLI::Range Class Reference

Produce a range (factory). Min and max are inclusive. More...

`#include <Validators.hpp>`

Inheritance diagram for CLI::Range:

## Public Member Functions

template<typename T>
| Range (T min_val, T max_val, const std::string &validator_name=std::string{})
template<typename T>
| Range (T max_val, const std::string &validator_name=std::string{})
| Range of one value is 0 to value.
Public Member Functions inherited from CLI::Validator
| Validator ()=default
| Validator (std::string validator_desc)
| Construct a Validator with just the description string.
| Validator (std::function< std::string(std::string &)> op, std::string validator_desc, std::string validator_name="")
| Construct Validator from basic information.
Validator & | operation (std::function< std::string(std::string &)> op)
| Set the Validator operation function.
std::string | operator() (std::string &str) const
std::string | operator() (const std::string &str) const
Validator & | description (std::string validator_desc)
| Specify the type string.
CLI11_NODISCARD Validator | description (std::string validator_desc) const
| Specify the type string.
CLI11_NODISCARD std::string | get_description () const
| Generate type description information for the Validator.
Validator & | name (std::string validator_name)
| Specify the type string.
CLI11_NODISCARD Validator | name (std::string validator_name) const
| Specify the type string.
CLI11_NODISCARD const std::string & | get_name () const
| Get the name of the Validator.
Validator & | active (bool active_val=true)
| Specify whether the Validator is active or not.
CLI11_NODISCARD Validator | active (bool active_val=true) const
| Specify whether the Validator is active or not.
Validator & | non_modifying (bool no_modify=true)
| Specify whether the Validator can be modifying or not.
Validator & | application_index (int app_index)
| Specify the application index of a validator.
CLI11_NODISCARD Validator | application_index (int app_index) const
| Specify the application index of a validator.
CLI11_NODISCARD int | get_application_index () const
| Get the current value of the application index.
CLI11_NODISCARD bool | get_active () const
| Get a boolean if the validator is active.
CLI11_NODISCARD bool | get_modifying () const
| Get a boolean if the validator is allowed to modify the input returns true if it can modify the input.
Validator | operator& (const Validator &other) const
Validator | operator| (const Validator &other) const
Validator | operator! () const
| Create a validator that fails when a given validator succeeds.

## Additional Inherited Members

Protected Member Functions inherited from CLI::Validator
| Validator (std::string validator_desc, std::function< std::string(std::string &)> func)
Protected Attributes inherited from CLI::Validator
std::function< std::string()> | desc_function_ {[]() { return std::string{}; }}
| This is the description function, if empty the description_ will be used.
std::function< std::string(std::string &)> | func_ {[](std::string &) { return std::string{}; }}
std::string | name_ {}
| The name for search purposes of the Validator.
int | application_index_ = -1
| A Validator will only apply to an indexed value (-1 is all elements).
bool | active_ {true}
| Enable for Validator to allow it to be disabled if need be.
bool | non_modifying_ {false}
| specify that a validator should not modify the input

## Detailed Description

Produce a range (factory). Min and max are inclusive.

## Constructor & Destructor Documentation

## Range() [1/2]

template<typename T>

CLI::Range::Range | ( | T | min_val,
|  | T | max_val,
|  | const std::string & | validator_name = std::string{} )

inline

This produces a range with min and max inclusive.

Note that the constructor is templated, but the struct is not, so C++17 is not needed to provide nice syntax for Range(a,b).

## Range() [2/2]

template<typename T>

CLI::Range::Range | ( | T | max_val,
|  | const std::string & | validator_name = std::string{} )

inline explicit

Range of one value is 0 to value.

The documentation for this class was generated from the following file:

- include/CLI/Validators.hpp